Index: /pjproject/branches/projects/winphone/pjmedia/build/pjmedia_videodev.vcxproj.filters
===================================================================
--- /pjproject/branches/projects/winphone/pjmedia/build/pjmedia_videodev.vcxproj.filters	(revision 4620)
+++ /pjproject/branches/projects/winphone/pjmedia/build/pjmedia_videodev.vcxproj.filters	(revision 4620)
@@ -0,0 +1,56 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{ba2c04c3-822d-4867-9c44-e2e30bbaae38}</UniqueIdentifier>
+      <Extensions>cpp;c;cxx;rc;def;r;odl;idl;hpj;bat</Extensions>
+    </Filter>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{ef8ff25c-5a9b-4c53-b749-9525b3aa3bb0}</UniqueIdentifier>
+      <Extensions>h;hpp;hxx;hm;inl</Extensions>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="..\src\pjmedia-videodev\avi_dev.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjmedia-videodev\colorbar_dev.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjmedia-videodev\dshow_dev.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjmedia-videodev\dshowclasses.cpp">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjmedia-videodev\errno.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjmedia-videodev\ffmpeg_dev.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjmedia-videodev\sdl_dev.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjmedia-videodev\videodev.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="..\include\pjmedia-videodev\avi_dev.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjmedia-videodev\config.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjmedia-videodev\errno.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjmedia-videodev\videodev.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjmedia-videodev\videodev_imp.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+  </ItemGroup>
+</Project>
Index: /pjproject/branches/projects/winphone/pjmedia/include/pjmedia-audiodev/errno.h
===================================================================
--- /pjproject/branches/projects/winphone/pjmedia/include/pjmedia-audiodev/errno.h	(revision 4619)
+++ /pjproject/branches/projects/winphone/pjmedia/include/pjmedia-audiodev/errno.h	(revision 4620)
@@ -118,5 +118,5 @@
 	    ((int)PJMEDIA_AUDIODEV_BDIMAD_ERROR_START+err)
 
-/************************************************************
+ /************************************************************
  * Audio Device API error codes
  ***********************************************************/
@@ -193,7 +193,13 @@
 #define PJMEDIA_EAUD_BADLATENCY	(PJMEDIA_AUDIODEV_ERRNO_START+12) /* 4200012 */
 
-
-
-
+ /************************************************************
+ * General audio device error code
+ ***********************************************************/
+/**
+ * @hideinitializer
+ * General wasapi error
+ */
+#define PJMEDIA_EAUD_WASAPI_ERROR \
+				(PJMEDIA_AUDIODEV_ERRNO_START+13) /* 4200013 */
 
 /**
Index: /pjproject/branches/projects/winphone/pjmedia/src/pjmedia-audiodev/audiodev.c
===================================================================
--- /pjproject/branches/projects/winphone/pjmedia/src/pjmedia-audiodev/audiodev.c	(revision 4619)
+++ /pjproject/branches/projects/winphone/pjmedia/src/pjmedia-audiodev/audiodev.c	(revision 4620)
@@ -115,4 +115,8 @@
 #endif
 
+#if PJMEDIA_AUDIO_DEV_HAS_WASAPI
+pjmedia_aud_dev_factory* pjmedia_wasapi_factory(pj_pool_factory *pf);
+#endif
+
 #define MAX_DRIVERS	16
 #define MAX_DEVS	64
@@ -436,4 +440,7 @@
 #if PJMEDIA_AUDIO_DEV_HAS_SYMB_MDA
     aud_subsys.drv[aud_subsys.drv_cnt++].create = &pjmedia_symb_mda_factory;
+#endif
+#if PJMEDIA_AUDIO_DEV_HAS_WASAPI
+    aud_subsys.drv[aud_subsys.drv_cnt++].create = &pjmedia_wasapi_factory;
 #endif
 #if PJMEDIA_AUDIO_DEV_HAS_NULL_AUDIO
Index: /pjproject/branches/projects/winphone/pjmedia/src/pjmedia-audiodev/errno.c
===================================================================
--- /pjproject/branches/projects/winphone/pjmedia/src/pjmedia-audiodev/errno.c	(revision 4619)
+++ /pjproject/branches/projects/winphone/pjmedia/src/pjmedia-audiodev/errno.c	(revision 4620)
@@ -58,6 +58,6 @@
     PJ_BUILD_ERR( PJMEDIA_EAUD_BADFORMAT,   "Bad or invalid audio device format" ),
     PJ_BUILD_ERR( PJMEDIA_EAUD_SAMPFORMAT,  "Invalid audio device sample format"),
-    PJ_BUILD_ERR( PJMEDIA_EAUD_BADLATENCY,  "Bad audio latency setting")
-
+    PJ_BUILD_ERR( PJMEDIA_EAUD_BADLATENCY,  "Bad audio latency setting"),
+    PJ_BUILD_ERR( PJMEDIA_EAUD_WASAPI_ERROR,  "Wasapi error, please see the log for more info")
 };
 
Index: /pjproject/branches/projects/winphone/pjnath/build/pjnath.vcxproj.filters
===================================================================
--- /pjproject/branches/projects/winphone/pjnath/build/pjnath.vcxproj.filters	(revision 4620)
+++ /pjproject/branches/projects/winphone/pjnath/build/pjnath.vcxproj.filters	(revision 4620)
@@ -0,0 +1,119 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{aaf89465-a0f3-490c-b897-d3224436db9a}</UniqueIdentifier>
+      <Extensions>cpp;c;cxx;rc;def;r;odl;idl;hpj;bat</Extensions>
+    </Filter>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{7823d2bc-1035-4d98-8794-8cda1bf074b1}</UniqueIdentifier>
+      <Extensions>h;hpp;hxx;hm;inl</Extensions>
+    </Filter>
+    <Filter Include="Doxygen Files">
+      <UniqueIdentifier>{f13a220c-6f3c-4b14-902d-eecb41e72257}</UniqueIdentifier>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="..\src\pjnath\errno.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath\ice_session.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath\ice_strans.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath\nat_detect.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath\stun_auth.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath\stun_msg.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath\stun_msg_dump.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath\stun_session.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath\stun_sock.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath\stun_transaction.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath\turn_session.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath\turn_sock.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="..\include\pjnath\config.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\errno.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\ice_session.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\ice_strans.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\nat_detect.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\stun_auth.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\stun_config.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\stun_doc.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\stun_msg.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\stun_session.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\stun_transaction.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\turn_session.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\turn_sock.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pjnath\types.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\docs\doc_ice.h">
+      <Filter>Doxygen Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\docs\doc_mainpage.h">
+      <Filter>Doxygen Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\docs\doc_nat.h">
+      <Filter>Doxygen Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\docs\doc_samples.h">
+      <Filter>Doxygen Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\docs\doc_stun.h">
+      <Filter>Doxygen Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\docs\doc_turn.h">
+      <Filter>Doxygen Files</Filter>
+    </ClInclude>
+  </ItemGroup>
+</Project>
Index: /pjproject/branches/projects/winphone/pjnath/build/pjnath_test.vcxproj.filters
===================================================================
--- /pjproject/branches/projects/winphone/pjnath/build/pjnath_test.vcxproj.filters	(revision 4620)
+++ /pjproject/branches/projects/winphone/pjnath/build/pjnath_test.vcxproj.filters	(revision 4620)
@@ -0,0 +1,54 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{32f79026-86a4-48b3-84a1-618b0a93d166}</UniqueIdentifier>
+      <Extensions>cpp;c;cxx;rc;def;r;odl;idl;hpj;bat</Extensions>
+    </Filter>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{b8468c1f-c391-4b2c-ad3c-d264e8e7910c}</UniqueIdentifier>
+      <Extensions>h;hpp;hxx;hm;inl</Extensions>
+    </Filter>
+    <Filter Include="Resource Files">
+      <UniqueIdentifier>{38acbb4c-a6dc-42b0-91af-93a4393270c9}</UniqueIdentifier>
+      <Extensions>ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe</Extensions>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="..\src\pjnath-test\concur_test.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath-test\ice_test.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath-test\main.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath-test\main_win32.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath-test\server.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath-test\sess_auth.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath-test\stun.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath-test\stun_sock_test.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath-test\test.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjnath-test\turn_sock_test.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="..\src\pjnath-test\test.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+  </ItemGroup>
+</Project>
Index: /pjproject/branches/projects/winphone/pjproject-vs11.sln
===================================================================
--- /pjproject/branches/projects/winphone/pjproject-vs11.sln	(revision 4619)
+++ /pjproject/branches/projects/winphone/pjproject-vs11.sln	(revision 4620)
@@ -4,17 +4,17 @@
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{1DFF1CF3-DBD7-4DA4-A36D-663D695EB678}"
 	ProjectSection(SolutionItems) = preProject
-		build\vs\pjproject-vs8-common-defaults.props = build\vs\pjproject-vs8-common-defaults.props
-		build\vs\pjproject-vs8-debug-defaults.props = build\vs\pjproject-vs8-debug-defaults.props
-		build\vs\pjproject-vs8-debug-dynamic-defaults.props = build\vs\pjproject-vs8-debug-dynamic-defaults.props
-		build\vs\pjproject-vs8-debug-static-defaults.props = build\vs\pjproject-vs8-debug-static-defaults.props
-		build\vs\pjproject-vs8-release-defaults.props = build\vs\pjproject-vs8-release-defaults.props
-		build\vs\pjproject-vs8-release-dynamic-defaults.props = build\vs\pjproject-vs8-release-dynamic-defaults.props
-		build\vs\pjproject-vs8-release-static-defaults.props = build\vs\pjproject-vs8-release-static-defaults.props
-		build\vs\pjproject-vs8-win32-common-defaults.props = build\vs\pjproject-vs8-win32-common-defaults.props
-		build\vs\pjproject-vs8-win32-release-defaults.props = build\vs\pjproject-vs8-win32-release-defaults.props
-		build\vs\pjproject-vs8-win64-common-defaults.props = build\vs\pjproject-vs8-win64-common-defaults.props
-		build\vs\pjproject-vs8-win64-release-defaults.props = build\vs\pjproject-vs8-win64-release-defaults.props
-		build\vs\pjproject-vs8-wp8-common-defaults.props = build\vs\pjproject-vs8-wp8-common-defaults.props
-		build\vs\pjproject-vs8-wp8-release-defaults.props = build\vs\pjproject-vs8-wp8-release-defaults.props
+		build\vs\pjproject-vs11-common-defaults.props = build\vs\pjproject-vs11-common-defaults.props
+		build\vs\pjproject-vs11-debug-defaults.props = build\vs\pjproject-vs11-debug-defaults.props
+		build\vs\pjproject-vs11-debug-dynamic-defaults.props = build\vs\pjproject-vs11-debug-dynamic-defaults.props
+		build\vs\pjproject-vs11-debug-static-defaults.props = build\vs\pjproject-vs11-debug-static-defaults.props
+		build\vs\pjproject-vs11-release-defaults.props = build\vs\pjproject-vs11-release-defaults.props
+		build\vs\pjproject-vs11-release-dynamic-defaults.props = build\vs\pjproject-vs11-release-dynamic-defaults.props
+		build\vs\pjproject-vs11-release-static-defaults.props = build\vs\pjproject-vs11-release-static-defaults.props
+		build\vs\pjproject-vs11-win32-common-defaults.props = build\vs\pjproject-vs11-win32-common-defaults.props
+		build\vs\pjproject-vs11-win32-release-defaults.props = build\vs\pjproject-vs11-win32-release-defaults.props
+		build\vs\pjproject-vs11-win64-common-defaults.props = build\vs\pjproject-vs11-win64-common-defaults.props
+		build\vs\pjproject-vs11-win64-release-defaults.props = build\vs\pjproject-vs11-win64-release-defaults.props
+		build\vs\pjproject-vs11-wp8-common-defaults.props = build\vs\pjproject-vs11-wp8-common-defaults.props
+		build\vs\pjproject-vs11-wp8-release-defaults.props = build\vs\pjproject-vs11-wp8-release-defaults.props
 	EndProjectSection
 EndProject
Index: /pjproject/branches/projects/winphone/pjsip-apps/build/pjsua.vcxproj.filters
===================================================================
--- /pjproject/branches/projects/winphone/pjsip-apps/build/pjsua.vcxproj.filters	(revision 4620)
+++ /pjproject/branches/projects/winphone/pjsip-apps/build/pjsua.vcxproj.filters	(revision 4620)
@@ -0,0 +1,48 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{4efee037-7405-4f6c-93a3-47770249a9d9}</UniqueIdentifier>
+      <Extensions>cpp;c;cxx;rc;def;r;odl;idl;hpj;bat</Extensions>
+    </Filter>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{f7bc027b-d5bc-430c-a88a-46ab6f9f7d33}</UniqueIdentifier>
+      <Extensions>h;hpp;hxx;hm;inl</Extensions>
+    </Filter>
+    <Filter Include="Resource Files">
+      <UniqueIdentifier>{eb5ce9ec-811a-4327-8836-c090080bc01f}</UniqueIdentifier>
+      <Extensions>ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe</Extensions>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="..\src\pjsua\main.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsua\wm\main_wm.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsua\pjsua_app.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsua\pjsua_app_cli.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsua\pjsua_app_common.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsua\pjsua_app_config.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsua\pjsua_app_legacy.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="..\src\pjsua\pjsua_app.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\src\pjsua\pjsua_app_common.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+  </ItemGroup>
+</Project>
Index: /pjproject/branches/projects/winphone/pjsip-apps/build/pjsystest.vcxproj.filters
===================================================================
--- /pjproject/branches/projects/winphone/pjsip-apps/build/pjsystest.vcxproj.filters	(revision 4620)
+++ /pjproject/branches/projects/winphone/pjsip-apps/build/pjsystest.vcxproj.filters	(revision 4620)
@@ -0,0 +1,41 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
+      <Extensions>cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
+    </Filter>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
+      <Extensions>h;hpp;hxx;hm;inl;inc;xsd</Extensions>
+    </Filter>
+    <Filter Include="Resource Files">
+      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
+      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav</Extensions>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="..\src\pjsystest\main_console.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsystest\main_wm.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsystest\systest.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="..\src\pjsystest\gui.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\src\pjsystest\systest.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+  </ItemGroup>
+  <ItemGroup>
+    <ResourceCompile Include="..\src\pjsystest\pjsystest_wince.rc">
+      <Filter>Resource Files</Filter>
+    </ResourceCompile>
+  </ItemGroup>
+</Project>
Index: /pjproject/branches/projects/winphone/pjsip-apps/build/python_pjsua.vcxproj.filters
===================================================================
--- /pjproject/branches/projects/winphone/pjsip-apps/build/python_pjsua.vcxproj.filters	(revision 4620)
+++ /pjproject/branches/projects/winphone/pjsip-apps/build/python_pjsua.vcxproj.filters	(revision 4620)
@@ -0,0 +1,32 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{c19c9dae-dd06-429b-af73-489666d59f00}</UniqueIdentifier>
+      <Extensions>cpp;c;cxx;rc;def;r;odl;idl;hpj;bat</Extensions>
+    </Filter>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{8961e1eb-85f6-4386-bcbb-82d7df1c0684}</UniqueIdentifier>
+      <Extensions>h;hpp;hxx;hm;inl</Extensions>
+    </Filter>
+    <Filter Include="Resource Files">
+      <UniqueIdentifier>{f533ba98-3554-4593-9b6b-8bdd337b96f9}</UniqueIdentifier>
+      <Extensions>ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe</Extensions>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="..\src\python\_pjsua.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="..\src\python\_pjsua.def">
+      <Filter>Source Files</Filter>
+    </None>
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="..\src\python\_pjsua.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+  </ItemGroup>
+</Project>
Index: /pjproject/branches/projects/winphone/pjsip-apps/build/sample_debug.vcxproj.filters
===================================================================
--- /pjproject/branches/projects/winphone/pjsip-apps/build/sample_debug.vcxproj.filters	(revision 4620)
+++ /pjproject/branches/projects/winphone/pjsip-apps/build/sample_debug.vcxproj.filters	(revision 4620)
@@ -0,0 +1,22 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{e8c3bc2f-70a9-486b-b73a-0668f100f97c}</UniqueIdentifier>
+      <Extensions>cpp;c;cxx;rc;def;r;odl;idl;hpj;bat</Extensions>
+    </Filter>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{edfa2062-57cb-4844-b0f4-e36c5a0a6168}</UniqueIdentifier>
+      <Extensions>h;hpp;hxx;hm;inl</Extensions>
+    </Filter>
+    <Filter Include="Resource Files">
+      <UniqueIdentifier>{b9f767c0-8015-4435-92a4-df6a5d881f82}</UniqueIdentifier>
+      <Extensions>ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe</Extensions>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="..\src\samples\debug.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+  </ItemGroup>
+</Project>
Index: /pjproject/branches/projects/winphone/pjsip-apps/build/samples.vcxproj.filters
===================================================================
--- /pjproject/branches/projects/winphone/pjsip-apps/build/samples.vcxproj.filters	(revision 4620)
+++ /pjproject/branches/projects/winphone/pjsip-apps/build/samples.vcxproj.filters	(revision 4620)
@@ -0,0 +1,133 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{165b4de7-2d2b-4704-aa03-657e714e5fc5}</UniqueIdentifier>
+      <Extensions>cpp;c;cxx;rc;def;r;odl;idl;hpj;bat</Extensions>
+    </Filter>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{a216ec9a-ecf5-47e1-a8a8-2e7dca1d0d16}</UniqueIdentifier>
+      <Extensions>h;hpp;hxx;hm;inl</Extensions>
+    </Filter>
+    <Filter Include="Resource Files">
+      <UniqueIdentifier>{68ad5a7b-0ec6-4216-af62-fdc1a7db10cc}</UniqueIdentifier>
+      <Extensions>ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe</Extensions>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="..\src\samples\aectest.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\auddemo.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\aviplay.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\clidemo.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\confbench.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\confsample.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\encdec.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\footprint.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\httpdemo.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\icedemo.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\jbsim.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\latency.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\level.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\mix.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\pcaputil.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\pjsip-perf.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\playfile.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\playsine.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\recfile.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\resampleplay.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\simple_pjsua.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\simpleua.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\sipecho.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\siprtp.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\siprtp_report.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\sipstateless.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\sndinfo.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\sndtest.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\stateful_proxy.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\stateless_proxy.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\streamutil.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\strerror.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\tonegen.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\samples\vid_streamutil.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="..\src\samples\proxy.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\src\samples\util.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Samples-vc.mak" />
+    <None Include="Samples.mak" />
+  </ItemGroup>
+</Project>
Index: /pjproject/branches/projects/winphone/pjsip-apps/src/pjsua/wp/build/pjsua_wp_backend.vcxproj.filters
===================================================================
--- /pjproject/branches/projects/winphone/pjsip-apps/src/pjsua/wp/build/pjsua_wp_backend.vcxproj.filters	(revision 4620)
+++ /pjproject/branches/projects/winphone/pjsip-apps/src/pjsua/wp/build/pjsua_wp_backend.vcxproj.filters	(revision 4620)
@@ -0,0 +1,63 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="pjsua">
+      <UniqueIdentifier>{2d7c3750-b3c5-4def-a47c-68ac54fe1cf7}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="pjsua\Source Files">
+      <UniqueIdentifier>{fdac54b1-561e-4971-8f44-6f6ce4195148}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="pjsua\Header Files">
+      <UniqueIdentifier>{3f436d82-bb78-4a34-b828-b5e8ba7a343c}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{a42b205c-281f-4093-a30d-2c6772c8a586}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{387373ca-cce2-4761-ab21-06145f823a47}</UniqueIdentifier>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="..\..\pjsua_app.h">
+      <Filter>pjsua\Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\..\pjsua_app_common.h">
+      <Filter>pjsua\Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\..\pjsua_app_config.h">
+      <Filter>pjsua\Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\backend\Globals.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\backend\IPjsuaCallback.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="..\backend\PjsuaCallback.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="..\..\pjsua_app.c">
+      <Filter>pjsua\Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\..\pjsua_app_cli.c">
+      <Filter>pjsua\Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\..\pjsua_app_common.c">
+      <Filter>pjsua\Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\..\pjsua_app_config.c">
+      <Filter>pjsua\Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\..\pjsua_app_legacy.c">
+      <Filter>pjsua\Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\backend\Globals.cpp">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\backend\PjsuaCallback.cpp">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+  </ItemGroup>
+</Project>
